2020-09-24 12:45 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005171Spring engineGeneralpublic2017-07-01 18:25
Reportersilentwings 
Assigned Tohokomoko 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target VersionFixed in Version103.0 +git 
Summary0005171: Way to identify if file is part of game or came from a map/mutator
DescriptionIt looks like VFS.MOD and VFS.MAP were once planned to exist, but were never implemented&/exposed.
Additional InformationMy use cases are
(1) Option to prevent maps from adding/altering units
(2) Option to hide widgets that came from a mutator (and in particular, the came from a mission)
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016266

nixtux (reporter)

My user case

https://springrts.com/phpbb/viewtopic.php?f=91&t=34774

Which has happened so many times before

~0016267

abma (administrator)

afaik maps atm can override all files from a game. so this feature request should be rephrased imo.

~0016269

silentwings (reporter)

Last edited: 2016-05-05 19:13

View 2 revisions

Feel free to rephrase it - I can't see what is unclear, and am unable to edit tickets.

~0016271

abma (administrator)

i would rephrase it to:

allow a game to hide/disable/"remove" all content (units/features/gadgets/widgets/...) from a map except the map itself.

(could be still better phrased but i hope you get the idea)

~0016273

silentwings (reporter)

Last edited: 2016-05-06 09:59

View 5 revisions

actually, the ability to control the map too (e.g. an sdz that displays only an ingame menu, regardless of map in script.txt) would be useful; and mutators as well as maps, would ideally be included.

but as far as this feature request goes - simply (finishing) implementing VFS.MAP & friends is all that's asked.

~0016422

abma (administrator)

> Feel free to rephrase it - I can't see what is unclear, and am unable to edit tickets.

the intention is clear, but implementing VFS.MAP wouldn't solve it: the map could i.e. override the gadget handler.

~0016423

silentwings (reporter)

Last edited: 2016-06-10 15:19

View 4 revisions

Yes - to fully handle cases of deliberate impersonation (which is only part of what this bug report is about) slightly more is needed - see the (*) of https://springrts.com/phpbb/viewtopic.php?f=91&t=34774#p577276 .

But that part is not what's asked for here, it can be dealt with separately.

~0017917

Kloot (developer)

VFS.MAP & friends are implemented now
+Notes

-Issue History
Date Modified Username Field Change
2016-03-15 14:22 silentwings New Issue
2016-05-05 13:58 nixtux Note Added: 0016266
2016-05-05 14:10 abma Note Added: 0016267
2016-05-05 18:50 silentwings Note Added: 0016269
2016-05-05 19:13 silentwings Note Edited: 0016269 View Revisions
2016-05-06 01:25 abma Note Added: 0016271
2016-05-06 08:54 silentwings Note Added: 0016273
2016-05-06 08:55 silentwings Note Edited: 0016273 View Revisions
2016-05-06 09:46 silentwings Note Edited: 0016273 View Revisions
2016-05-06 09:58 silentwings Note Edited: 0016273 View Revisions
2016-05-06 09:59 silentwings Note Edited: 0016273 View Revisions
2016-06-10 12:12 abma Priority low => normal
2016-06-10 12:13 abma Note Added: 0016422
2016-06-10 12:20 silentwings Note Added: 0016423
2016-06-10 12:21 silentwings Note Edited: 0016423 View Revisions
2016-06-10 12:22 silentwings Note Edited: 0016423 View Revisions
2016-06-10 15:19 silentwings Note Edited: 0016423 View Revisions
2017-07-01 18:25 Kloot Assigned To => hokomoko
2017-07-01 18:25 Kloot Status new => resolved
2017-07-01 18:25 Kloot Resolution open => fixed
2017-07-01 18:25 Kloot Fixed in Version => 103.0 +git
2017-07-01 18:25 Kloot Note Added: 0017917
+Issue History